pangomm: Pango::Fontset Class Reference

pangomm 2.46.4

Public Types | Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Pango::Fontset Class Reference

A Pango::Fontset is used to represent a set of fonts. More...

`#include <pangomm/fontset.h>`

Inheritance diagram for Pango::Fontset:
[legend]

## Public Types
typedef sigc::slot< bool, const Glib::RefPtr< Font > & > | ForeachSlot
| For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Public Member Functions
| Fontset (Fontset && src) noexcept
Fontset & | operator= (Fontset && src) noexcept
| ~Fontset () noexcept override
PangoFontset * | gobj ()
| Provides access to the underlying C GObject.
const PangoFontset * | gobj () const
| Provides access to the underlying C GObject.
PangoFontset * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Font > | get_font (guint wc) const
| Returns the font in the fontset that contains the best glyph for the Unicode character wc.
FontMetrics | get_metrics () const
| Get overall metric information for the fonts in the fontset.
void | foreach (const ForeachSlot & slot)
| Iterates through all the fonts in a fontset, calling slot for each one.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Pango::Fontset > | wrap (PangoFontset * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

A Pango::Fontset is used to represent a set of fonts.

## Member Typedef Documentation

## ◆ ForeachSlot

typedef sigc::slot< bool, const Glib::RefPtr<Font>& > Pango::Fontset::ForeachSlot

For instance, bool on_foreach(const Glib::RefPtr<Pango::Font>& font);.

## Constructor & Destructor Documentation

## ◆ Fontset()

Pango::Fontset::Fontset | ( | Fontset && | src | ) |
| noexcept

## ◆ ~Fontset()

Pango::Fontset::~Fontset | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ foreach()

void Pango::Fontset::foreach | ( | const ForeachSlot & | slot | ) |

Iterates through all the fonts in a fontset, calling slot for each one.

If slot returns true, that stops the iteration.

Since
  -1.4

Parameters

  Slots | Callback function

## ◆ get_font()

Glib::RefPtr< Font > Pango::Fontset::get_font | ( | guint | wc | ) | const

Returns the font in the fontset that contains the best glyph for the Unicode character wc.

Parameters

  wc | A Unicode character.

Returns
  A Pango::Font. The caller must call g_object_unref when finished with the font.

## ◆ get_metrics()

FontMetrics Pango::Fontset::get_metrics | ( |  | ) | const

Get overall metric information for the fonts in the fontset.

Returns
  A Pango::FontMetrics object. The caller must call Pango::FontMetrics::unref() when finished using the object.

## ◆ get_type()

GType Pango::Fontset::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

PangoFontset * Pango::Fontset::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const PangoFontset * Pango::Fontset::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

PangoFontset * Pango::Fontset::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Fontset & Pango::Fontset::operator= | ( | Fontset && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Pango::Fontset > wrap | ( | PangoFontset * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.